For the complete documentation index, see llms.txt. This page is also available as Markdown.

Coaches

Coach profiles, tiers, availability, and lesson bookings.

get
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Responses
200

Returns a collection of CoachTierDto

application/json
_totalnumberRequired
get/coaches/tiers
GET /apis/v2/coaches/tiers HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

Returns a collection of CoachTierDto

{
  "items": [
    {
      "id": "text",
      "priority": 1,
      "name": "text",
      "description": "text",
      "hourlyRate": 1,
      "payout": "DISABLED",
      "feeAmountCents": 1,
      "feePercentage": 1,
      "cancellationPolicy": [
        {
          "id": "text",
          "label": "text",
          "timeRange": {},
          "charge": 1
        }
      ],
      "coaches": {
        "items": [
          "text"
        ],
        "_total": 1,
        "_links": {
          "self": {
            "href": "text"
          }
        }
      },
      "status": "INVALID",
      "errors": [
        {
          "code": "text",
          "message": "text",
          "details": {}
        }
      ],
      "_links": {}
    }
  ],
  "_total": 1,
  "_links": {
    "self": {
      "href": "text"
    }
  }
}
post
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
idstringRead-onlyRequired
prioritynumberRequired
namestringRequired
descriptionstringRequired
hourlyRatenumberRequired
payoutstring · enumRequiredPossible values:
feeAmountCentsnumberRequired
feePercentagenumberRequired
statusstring · enum · nullableRead-onlyRequiredPossible values:
_linksobjectRequired
Responses
200

Returns the newly added CoachTierDto

application/json
idstringRead-onlyRequired
prioritynumberRequired
namestringRequired
descriptionstringRequired
hourlyRatenumberRequired
payoutstring · enumRequiredPossible values:
feeAmountCentsnumberRequired
feePercentagenumberRequired
statusstring · enum · nullableRead-onlyRequiredPossible values:
_linksobjectRequired
post/coaches/tiers
POST /apis/v2/coaches/tiers HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 211

{
  "priority": 1,
  "name": "text",
  "description": "text",
  "hourlyRate": 1,
  "payout": "DISABLED",
  "feeAmountCents": 1,
  "feePercentage": 1,
  "cancellationPolicy": [
    {
      "id": "text",
      "label": "text",
      "timeRange": {},
      "charge": 1
    }
  ],
  "_links": {}
}
200

Returns the newly added CoachTierDto

{
  "id": "text",
  "priority": 1,
  "name": "text",
  "description": "text",
  "hourlyRate": 1,
  "payout": "DISABLED",
  "feeAmountCents": 1,
  "feePercentage": 1,
  "cancellationPolicy": [
    {
      "id": "text",
      "label": "text",
      "timeRange": {},
      "charge": 1
    }
  ],
  "coaches": {
    "items": [
      "text"
    ],
    "_total": 1,
    "_links": {
      "self": {
        "href": "text"
      }
    }
  },
  "status": "INVALID",
  "errors": [
    {
      "code": "text",
      "message": "text",
      "details": {}
    }
  ],
  "_links": {}
}
get
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
tierIdstringRequiredExample: 7bb59b59-9d5c-457b-872d-2bab9cca6335
Responses
200

Returns a CoachTierDto

application/json
idstringRead-onlyRequired
prioritynumberRequired
namestringRequired
descriptionstringRequired
hourlyRatenumberRequired
payoutstring · enumRequiredPossible values:
feeAmountCentsnumberRequired
feePercentagenumberRequired
statusstring · enum · nullableRead-onlyRequiredPossible values:
_linksobjectRequired
get/coaches/tiers/{tierId}
GET /apis/v2/coaches/tiers/{tierId} HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "id": "text",
  "priority": 1,
  "name": "text",
  "description": "text",
  "hourlyRate": 1,
  "payout": "DISABLED",
  "feeAmountCents": 1,
  "feePercentage": 1,
  "cancellationPolicy": [
    {
      "id": "text",
      "label": "text",
      "timeRange": {},
      "charge": 1
    }
  ],
  "coaches": {
    "items": [
      "text"
    ],
    "_total": 1,
    "_links": {
      "self": {
        "href": "text"
      }
    }
  },
  "status": "INVALID",
  "errors": [
    {
      "code": "text",
      "message": "text",
      "details": {}
    }
  ],
  "_links": {}
}
delete
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
tierIdstringRequiredExample: 7bb59b59-9d5c-457b-872d-2bab9cca6335
Responses
200

Returns the deleted CoachTierDto

application/json
idstringRead-onlyRequired
prioritynumberRequired
namestringRequired
descriptionstringRequired
hourlyRatenumberRequired
payoutstring · enumRequiredPossible values:
feeAmountCentsnumberRequired
feePercentagenumberRequired
statusstring · enum · nullableRead-onlyRequiredPossible values:
_linksobjectRequired
delete/coaches/tiers/{tierId}
DELETE /apis/v2/coaches/tiers/{tierId} HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "id": "text",
  "priority": 1,
  "name": "text",
  "description": "text",
  "hourlyRate": 1,
  "payout": "DISABLED",
  "feeAmountCents": 1,
  "feePercentage": 1,
  "cancellationPolicy": [
    {
      "id": "text",
      "label": "text",
      "timeRange": {},
      "charge": 1
    }
  ],
  "coaches": {
    "items": [
      "text"
    ],
    "_total": 1,
    "_links": {
      "self": {
        "href": "text"
      }
    }
  },
  "status": "INVALID",
  "errors": [
    {
      "code": "text",
      "message": "text",
      "details": {}
    }
  ],
  "_links": {}
}
patch
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
tierIdstringRequiredExample: 7bb59b59-9d5c-457b-872d-2bab9cca6335
Body
prioritynumberRequired
namestringRequired
payoutstring · enumRequiredPossible values:
feeAmountCentsnumberRequired
feePercentagenumberRequired
Responses
200

Returns the updated CoachTierDto

application/json
idstringRead-onlyRequired
prioritynumberRequired
namestringRequired
descriptionstringRequired
hourlyRatenumberRequired
payoutstring · enumRequiredPossible values:
feeAmountCentsnumberRequired
feePercentagenumberRequired
statusstring · enum · nullableRead-onlyRequiredPossible values:
_linksobjectRequired
patch/coaches/tiers/{tierId}
PATCH /apis/v2/coaches/tiers/{tierId} HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 163

{
  "priority": 1,
  "name": "text",
  "payout": "DISABLED",
  "feeAmountCents": 1,
  "feePercentage": 1,
  "cancellationPolicy": [
    {
      "id": "text",
      "label": "text",
      "timeRange": {},
      "charge": 1
    }
  ]
}
{
  "id": "text",
  "priority": 1,
  "name": "text",
  "description": "text",
  "hourlyRate": 1,
  "payout": "DISABLED",
  "feeAmountCents": 1,
  "feePercentage": 1,
  "cancellationPolicy": [
    {
      "id": "text",
      "label": "text",
      "timeRange": {},
      "charge": 1
    }
  ],
  "coaches": {
    "items": [
      "text"
    ],
    "_total": 1,
    "_links": {
      "self": {
        "href": "text"
      }
    }
  },
  "status": "INVALID",
  "errors": [
    {
      "code": "text",
      "message": "text",
      "details": {}
    }
  ],
  "_links": {}
}
get
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Query parameters
activebooleanOptionalExample: true
tierstringOptionalExample: a157eca8-6b05-4b7a-bb26-81a45eb588e1
slugstringOptionalExample: coach-slug
searchstringOptionalExample: john
pagenumberOptionalExample: 1
ippnumberOptionalExample: 30
expandstring[]Optional
typestring[]OptionalExample: ["ROBOT","HUMAN"]
Responses
200

Returns a CoachProfile

application/json
_totalnumberRequiredDeprecated
get/coaches
GET /apis/v2/coaches HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

Returns a CoachProfile

{
  "items": [
    {
      "id": "text",
      "user": {
        "id": "text"
      },
      "type": "REGULAR",
      "firstName": "text",
      "lastName": "text",
      "gender": "text",
      "birthday": "2026-01-01T00:00:00.000Z",
      "initials": "text",
      "description": "text",
      "picture": {},
      "usattRating": 1,
      "duprProfileUrl": "text",
      "memberSince": "2026-01-01T00:00:00.000Z",
      "membershipEnrollment": {},
      "kids": {},
      "_links": {},
      "settings": {
        "id": "text"
      },
      "tierSettings": {
        "id": "text"
      },
      "rateSettings": {
        "guests": 1,
        "hourlyRate": 1
      },
      "fullName": "text",
      "students": {
        "_total": 1
      },
      "slug": "text",
      "coachType": "ROBOT"
    }
  ],
  "_pagination": {
    "page": 1,
    "ipp": 1,
    "count": 1,
    "total": 1
  },
  "_links": {
    "self": {
      "href": "text"
    }
  }
}
get
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
coachIdstringRequiredExample: 7bb59b59-9d5c-457b-872d-2bab9cca6335
Query parameters
expandstring[]OptionalExample: ["_links.settings","_links.picture"]
Responses
200

Returns a CoachProfile

application/json
idstringRequired
typestring · enumRead-onlyRequiredPossible values:
firstNamestringRead-onlyOptional
lastNamestringRead-onlyOptional
genderstringRead-onlyOptional
birthdaystring · date-timeRead-onlyOptional
initialsstringRead-onlyOptional
descriptionstringRequired
pictureobject · nullableRead-onlyOptional
usattRatingnumber · nullableRead-onlyOptional
duprProfileUrlstring · nullableRead-onlyOptional
memberSincestring · date-timeRead-onlyRequired
membershipSubscriptionobject · nullableRead-onlyOptionalDeprecated
membershipEnrollmentobject · nullableRead-onlyOptional
kidsobject · nullableRead-onlyRequired
_linksobjectRequired
tierstringRead-onlyRequiredDeprecated
ratenumberRequiredDeprecated
fullNamestringRequired
slugstringRequired
coachTypestring · enumRequiredPossible values:
get/coaches/{coachId}
GET /apis/v2/coaches/{coachId} HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

Returns a CoachProfile

{
  "id": "text",
  "user": {
    "id": "text"
  },
  "type": "REGULAR",
  "firstName": "text",
  "lastName": "text",
  "gender": "text",
  "birthday": "2026-01-01T00:00:00.000Z",
  "initials": "text",
  "description": "text",
  "picture": {},
  "usattRating": 1,
  "duprProfileUrl": "text",
  "memberSince": "2026-01-01T00:00:00.000Z",
  "membershipEnrollment": {},
  "kids": {},
  "_links": {},
  "settings": {
    "id": "text"
  },
  "tierSettings": {
    "id": "text"
  },
  "rateSettings": {
    "guests": 1,
    "hourlyRate": 1
  },
  "fullName": "text",
  "students": {
    "_total": 1
  },
  "slug": "text",
  "coachType": "ROBOT"
}
get
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
coachIdstringRequiredExample: 7bb59b59-9d5c-457b-872d-2bab9cca6335
Query parameters
expandstring[]OptionalExample: ["_links.areas.items._links.area","_links.areas.items._links.availability"]
Responses
200

Returns a CoachSettings

application/json
statusstring · enumRequiredPossible values:
tierstringRead-onlyRequired
hourlyRatenumber · nullableRequiredDeprecated

Kept for backwards compatibility. Use rateSettings instead

displayNamestringRead-onlyRequired
displayNameShortstringRequired
descriptionstringRequired
availabilityWeeklyPlanSessionsnumber[]Required

Each number refers to the Nth 30' slot session number starting on Sunday at 00:00:00.

slugstringRequired
typestring · enum · nullableRequiredPossible values:
_linksobjectRequired
get/coaches/{coachId}/settings
GET /apis/v2/coaches/{coachId}/settings HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

Returns a CoachSettings

{
  "status": "ACTIVE",
  "tier": "text",
  "tierSettings": {
    "id": "text"
  },
  "rateSettings": {
    "id": "text"
  },
  "displayName": "text",
  "displayNameShort": "text",
  "description": "text",
  "switchCushion": {
    "minutes": 1
  },
  "availabilityWeeklyPlanSessions": [
    1
  ],
  "areas": {
    "_total": 1
  },
  "studentsList": {
    "status": "ENABLED"
  },
  "paymentsAccount": {
    "id": "text"
  },
  "slug": "text",
  "type": "ROBOT",
  "_links": {}
}
patch
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
coachIdstringRequiredExample: 7bb59b59-9d5c-457b-872d-2bab9cca6335
Body
statusstring · enumRequiredPossible values:
tierstringRead-onlyRequired
hourlyRatenumber · nullableRequiredDeprecated

Kept for backwards compatibility. Use rateSettings instead

displayNamestringRead-onlyRequired
displayNameShortstringRequired
descriptionstringRequired
availabilityWeeklyPlanSessionsnumber[]Required

Each number refers to the Nth 30' slot session number starting on Sunday at 00:00:00.

slugstringRequired
typestring · enum · nullableRequiredPossible values:
_linksobjectRequired
Responses
200

Returns a CoachSettings

application/json
statusstring · enumRequiredPossible values:
tierstringRead-onlyRequired
hourlyRatenumber · nullableRequiredDeprecated

Kept for backwards compatibility. Use rateSettings instead

displayNamestringRead-onlyRequired
displayNameShortstringRequired
descriptionstringRequired
availabilityWeeklyPlanSessionsnumber[]Required

Each number refers to the Nth 30' slot session number starting on Sunday at 00:00:00.

slugstringRequired
typestring · enum · nullableRequiredPossible values:
_linksobjectRequired
patch/coaches/{coachId}/settings
PATCH /apis/v2/coaches/{coachId}/settings HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 345

{
  "status": "ACTIVE",
  "tierSettings": {
    "id": "text"
  },
  "rateSettings": {
    "id": "text"
  },
  "displayNameShort": "text",
  "description": "text",
  "picture": {
    "id": "text"
  },
  "switchCushion": {
    "minutes": 1
  },
  "availabilityWeeklyPlanSessions": [
    1
  ],
  "areas": {
    "_total": 1
  },
  "studentsList": {
    "status": "ENABLED"
  },
  "paymentsAccount": {
    "id": "text"
  },
  "slug": "text",
  "type": "ROBOT",
  "_links": {}
}
200

Returns a CoachSettings

{
  "status": "ACTIVE",
  "tier": "text",
  "tierSettings": {
    "id": "text"
  },
  "rateSettings": {
    "id": "text"
  },
  "displayName": "text",
  "displayNameShort": "text",
  "description": "text",
  "switchCushion": {
    "minutes": 1
  },
  "availabilityWeeklyPlanSessions": [
    1
  ],
  "areas": {
    "_total": 1
  },
  "studentsList": {
    "status": "ENABLED"
  },
  "paymentsAccount": {
    "id": "text"
  },
  "slug": "text",
  "type": "ROBOT",
  "_links": {}
}
get
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
coachIdstringRequiredExample: 7bb59b59-9d5c-457b-872d-2bab9cca6335
Query parameters
expandstring[]Optional
Responses
200

Returns a CoachSettingsAreaCollection

application/json
_totalnumberRequired
get/coaches/{coachId}/settings/areas
GET /apis/v2/coaches/{coachId}/settings/areas HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

Returns a CoachSettingsAreaCollection

{
  "items": [
    {
      "id": "text",
      "area": {
        "id": "text"
      },
      "distance": "NEARBY",
      "noticeCushion": {
        "minutes": 1
      },
      "availability": {
        "items": [
          {
            "id": "text",
            "startTime": "2026-01-01T00:00:00.000Z",
            "endTime": "2026-01-01T00:00:00.000Z"
          }
        ],
        "_total": 1,
        "_links": {
          "self": {
            "href": "text"
          }
        }
      },
      "_links": {}
    }
  ],
  "_total": 1,
  "_links": {
    "self": {
      "href": "text"
    }
  }
}
get
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
coachSettingsAreaIdstringRequiredExample: 7bb59b59-9d5c-457b-872d-2bab9cca6335-les
coachIdstringRequiredExample: 7bb59b59-9d5c-457b-872d-2bab9cca6335
Query parameters
expandstring[]OptionalExample: ["_links.area","_links.availability"]
Responses
200

Returns a CoachSettingsArea

application/json
idstringRequired
distancestring · enumRequiredPossible values:
_linksobjectRequired
get/coaches/{coachId}/settings/areas/{coachSettingsAreaId}
GET /apis/v2/coaches/{coachId}/settings/areas/{coachSettingsAreaId} HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

Returns a CoachSettingsArea

{
  "id": "text",
  "area": {
    "id": "text"
  },
  "distance": "NEARBY",
  "noticeCushion": {
    "minutes": 1
  },
  "availability": {
    "items": [
      {
        "id": "text",
        "startTime": "2026-01-01T00:00:00.000Z",
        "endTime": "2026-01-01T00:00:00.000Z"
      }
    ],
    "_total": 1,
    "_links": {
      "self": {
        "href": "text"
      }
    }
  },
  "_links": {}
}
patch
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
coachSettingsAreaIdstringRequiredExample: 7bb59b59-9d5c-457b-872d-2bab9cca6335-les
coachIdstringRequiredExample: 7bb59b59-9d5c-457b-872d-2bab9cca6335
Body
distancestring · enumRequiredPossible values:
Responses
200

Returns a CoachSettingsArea

application/json
idstringRequired
distancestring · enumRequiredPossible values:
_linksobjectRequired
patch/coaches/{coachId}/settings/areas/{coachSettingsAreaId}
PATCH /apis/v2/coaches/{coachId}/settings/areas/{coachSettingsAreaId} HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 51

{
  "distance": "NEARBY",
  "noticeCushion": {
    "minutes": 1
  }
}
200

Returns a CoachSettingsArea

{
  "id": "text",
  "area": {
    "id": "text"
  },
  "distance": "NEARBY",
  "noticeCushion": {
    "minutes": 1
  },
  "availability": {
    "items": [
      {
        "id": "text",
        "startTime": "2026-01-01T00:00:00.000Z",
        "endTime": "2026-01-01T00:00:00.000Z"
      }
    ],
    "_total": 1,
    "_links": {
      "self": {
        "href": "text"
      }
    }
  },
  "_links": {}
}
get
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
coachSettingsAreaIdstringRequiredExample: 7bb59b59-9d5c-457b-872d-2bab9cca6335-les
coachIdstringRequiredExample: 7bb59b59-9d5c-457b-872d-2bab9cca6335
Responses
200

Returns a CoachSettingsAreaAvailabilityCollection

application/json
_totalnumberRequired
get/coaches/{coachId}/settings/areas/{coachSettingsAreaId}/availability
GET /apis/v2/coaches/{coachId}/settings/areas/{coachSettingsAreaId}/availability HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

Returns a CoachSettingsAreaAvailabilityCollection

{
  "items": [
    {
      "id": "text",
      "startTime": "2026-01-01T00:00:00.000Z",
      "endTime": "2026-01-01T00:00:00.000Z"
    }
  ],
  "_total": 1,
  "_links": {
    "self": {
      "href": "text"
    }
  }
}
post
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
coachSettingsAreaIdstringRequiredExample: 7bb59b59-9d5c-457b-872d-2bab9cca6335-les
coachIdstringRequiredExample: 7bb59b59-9d5c-457b-872d-2bab9cca6335
Body
idstringRequired
startTimestring · date-timeRequired
endTimestring · date-timeRequired
Responses
200

Returns a CoachSettingsAreaAvailability

application/json
idstringRequired
startTimestring · date-timeRequired
endTimestring · date-timeRequired
post/coaches/{coachId}/settings/areas/{coachSettingsAreaId}/availability
POST /apis/v2/coaches/{coachId}/settings/areas/{coachSettingsAreaId}/availability HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 89

{
  "id": "text",
  "startTime": "2026-01-01T00:00:00.000Z",
  "endTime": "2026-01-01T00:00:00.000Z"
}
200

Returns a CoachSettingsAreaAvailability

{
  "id": "text",
  "startTime": "2026-01-01T00:00:00.000Z",
  "endTime": "2026-01-01T00:00:00.000Z"
}
patch
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
coachSettingsAreaIdstringRequiredExample: 7bb59b59-9d5c-457b-872d-2bab9cca6335-les
coachIdstringRequiredExample: 7bb59b59-9d5c-457b-872d-2bab9cca6335
Body
_totalnumberRequired
Responses
200

Returns a CoachSettingsAreaAvailabilityCollection

application/json
_totalnumberRequired
patch/coaches/{coachId}/settings/areas/{coachSettingsAreaId}/availability
PATCH /apis/v2/coaches/{coachId}/settings/areas/{coachSettingsAreaId}/availability HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 146

{
  "items": [
    {
      "id": "text",
      "startTime": "2026-01-01T00:00:00.000Z",
      "endTime": "2026-01-01T00:00:00.000Z"
    }
  ],
  "_total": 1,
  "_links": {
    "self": {
      "href": "text"
    }
  }
}
200

Returns a CoachSettingsAreaAvailabilityCollection

{
  "items": [
    {
      "id": "text",
      "startTime": "2026-01-01T00:00:00.000Z",
      "endTime": "2026-01-01T00:00:00.000Z"
    }
  ],
  "_total": 1,
  "_links": {
    "self": {
      "href": "text"
    }
  }
}
get
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
coachIdstringRequiredExample: 7bb59b59-9d5c-457b-872d-2bab9cca6335
Query parameters
expandstring[]Optional
Responses
200

Returns a UserProfileCollection

application/json
get/coaches/{coachId}/students
GET /apis/v2/coaches/{coachId}/students HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

Returns a UserProfileCollection

{
  "items": [
    {
      "id": "text",
      "email": "name@gmail.com",
      "firstName": "text",
      "lastName": "text",
      "description": "text",
      "notes": {
        "id": "text"
      },
      "phoneNumberPreview": "text",
      "phoneNumber": {
        "id": "text"
      },
      "roles": [
        "ADMIN"
      ],
      "rolesAreas": {
        "items": [
          "text"
        ],
        "_total": 1,
        "_links": {
          "self": {
            "href": "text"
          }
        }
      },
      "flags": [
        "NEW"
      ],
      "paymentMethod": {
        "id": "text"
      },
      "paymentElements": {
        "items": [
          "text"
        ],
        "_total": 1,
        "_links": {
          "self": {
            "href": "text"
          }
        }
      },
      "freeQuickReplays": 1,
      "picture": {
        "id": "text"
      },
      "gender": "text",
      "birthday": "2026-01-01T00:00:00.000Z",
      "favoriteReplays": {},
      "profile": {
        "id": "text"
      },
      "coachProfile": {
        "id": "text"
      },
      "qrCode": {
        "id": "text"
      },
      "membershipEnrollment": {
        "id": "text"
      },
      "ratings": {
        "_total": 1
      },
      "securityPicture": {
        "id": "text"
      },
      "chat": {
        "id": "text"
      },
      "segmentation": {
        "id": "text"
      },
      "_links": {}
    }
  ],
  "_pagination": {
    "page": 1,
    "ipp": 1,
    "count": 1,
    "total": 1
  },
  "_links": {
    "self": {
      "href": "text"
    }
  }
}
post
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
coachIdstringRequiredExample: 7bb59b59-9d5c-457b-872d-2bab9cca6335
Body
idstringRequired

The unique identifier of the resource

Responses
201

Returns a User

application/json
idstringRead-onlyRequired
emailstring · emailRead-onlyRequired
firstNamestringOptional
lastNamestringOptional
descriptionstringRequired
phoneNumberPreviewstringRead-onlyOptional
membershipTypestring · enumRead-onlyRequiredDeprecatedPossible values:
membershipBookingHorizonDaysnumberRead-onlyOptionalDeprecated
freeQuickReplaysnumberOptional
genderstringOptional
birthdaystring · date-timeOptional
favoriteReplaysobjectRead-onlyRequired
_linksobjectRequired
post/coaches/{coachId}/students
POST /apis/v2/coaches/{coachId}/students HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 13

{
  "id": "text"
}
201

Returns a User

{
  "id": "text",
  "email": "name@gmail.com",
  "firstName": "text",
  "lastName": "text",
  "description": "text",
  "notes": {
    "id": "text"
  },
  "phoneNumberPreview": "text",
  "phoneNumber": {
    "id": "text"
  },
  "roles": [
    "ADMIN"
  ],
  "rolesAreas": {
    "items": [
      "text"
    ],
    "_total": 1,
    "_links": {
      "self": {
        "href": "text"
      }
    }
  },
  "flags": [
    "NEW"
  ],
  "paymentMethod": {
    "id": "text"
  },
  "paymentElements": {
    "items": [
      "text"
    ],
    "_total": 1,
    "_links": {
      "self": {
        "href": "text"
      }
    }
  },
  "freeQuickReplays": 1,
  "picture": {
    "id": "text"
  },
  "gender": "text",
  "birthday": "2026-01-01T00:00:00.000Z",
  "favoriteReplays": {},
  "profile": {
    "id": "text"
  },
  "coachProfile": {
    "id": "text"
  },
  "qrCode": {
    "id": "text"
  },
  "membershipEnrollment": {
    "id": "text"
  },
  "ratings": {
    "_total": 1
  },
  "securityPicture": {
    "id": "text"
  },
  "chat": {
    "id": "text"
  },
  "segmentation": {
    "id": "text"
  },
  "_links": {}
}
delete
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
userIdstringRequiredExample: bH34bcmb1HgYo3nscU0dEwjKQSr1
coachIdstringRequiredExample: 7bb59b59-9d5c-457b-872d-2bab9cca6335
Responses
200

Returns a User

application/json
idstringRead-onlyRequired
emailstring · emailRead-onlyRequired
firstNamestringOptional
lastNamestringOptional
descriptionstringRequired
phoneNumberPreviewstringRead-onlyOptional
membershipTypestring · enumRead-onlyRequiredDeprecatedPossible values:
membershipBookingHorizonDaysnumberRead-onlyOptionalDeprecated
freeQuickReplaysnumberOptional
genderstringOptional
birthdaystring · date-timeOptional
favoriteReplaysobjectRead-onlyRequired
_linksobjectRequired
delete/coaches/{coachId}/students/{userId}
DELETE /apis/v2/coaches/{coachId}/students/{userId} HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

Returns a User

{
  "id": "text",
  "email": "name@gmail.com",
  "firstName": "text",
  "lastName": "text",
  "description": "text",
  "notes": {
    "id": "text"
  },
  "phoneNumberPreview": "text",
  "phoneNumber": {
    "id": "text"
  },
  "roles": [
    "ADMIN"
  ],
  "rolesAreas": {
    "items": [
      "text"
    ],
    "_total": 1,
    "_links": {
      "self": {
        "href": "text"
      }
    }
  },
  "flags": [
    "NEW"
  ],
  "paymentMethod": {
    "id": "text"
  },
  "paymentElements": {
    "items": [
      "text"
    ],
    "_total": 1,
    "_links": {
      "self": {
        "href": "text"
      }
    }
  },
  "freeQuickReplays": 1,
  "picture": {
    "id": "text"
  },
  "gender": "text",
  "birthday": "2026-01-01T00:00:00.000Z",
  "favoriteReplays": {},
  "profile": {
    "id": "text"
  },
  "coachProfile": {
    "id": "text"
  },
  "qrCode": {
    "id": "text"
  },
  "membershipEnrollment": {
    "id": "text"
  },
  "ratings": {
    "_total": 1
  },
  "securityPicture": {
    "id": "text"
  },
  "chat": {
    "id": "text"
  },
  "segmentation": {
    "id": "text"
  },
  "_links": {}
}
get
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
coachIdstringRequiredExample: 7bb59b59-9d5c-457b-872d-2bab9cca6335
Responses
200

Returns a PaymentsAccountDto

application/json
idstringRead-onlyRequired
userIdstringRead-onlyRequired
stripeAccountIdstringRead-onlyRequired
statusstring · enumRead-onlyRequiredPossible values:
accountLinkUrlstringRead-onlyRequired
loginLinkUrlstringRead-onlyRequired
_linksobjectRead-onlyRequired
get/coaches/{coachId}/settings/payments-account
GET /apis/v2/coaches/{coachId}/settings/payments-account HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

Returns a PaymentsAccountDto

{
  "id": "text",
  "userId": "text",
  "stripeAccountId": "text",
  "status": "ENABLED",
  "accountLinkUrl": "text",
  "loginLinkUrl": "text",
  "user": {
    "id": "text"
  },
  "_links": {}
}
post
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
coachIdstringRequiredExample: 7bb59b59-9d5c-457b-872d-2bab9cca6335
Body
idstringRead-onlyRequired
userIdstringRead-onlyRequired
stripeAccountIdstringRead-onlyRequired
statusstring · enumRead-onlyRequiredPossible values:
accountLinkUrlstringRead-onlyRequired
loginLinkUrlstringRead-onlyRequired
_linksobjectRead-onlyRequired
Responses
201

Returns a PaymentsAccountDto

application/json
idstringRead-onlyRequired
userIdstringRead-onlyRequired
stripeAccountIdstringRead-onlyRequired
statusstring · enumRead-onlyRequiredPossible values:
accountLinkUrlstringRead-onlyRequired
loginLinkUrlstringRead-onlyRequired
_linksobjectRead-onlyRequired
post/coaches/{coachId}/settings/payments-account
POST /apis/v2/coaches/{coachId}/settings/payments-account HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 2

{}
201

Returns a PaymentsAccountDto

{
  "id": "text",
  "userId": "text",
  "stripeAccountId": "text",
  "status": "ENABLED",
  "accountLinkUrl": "text",
  "loginLinkUrl": "text",
  "user": {
    "id": "text"
  },
  "_links": {}
}
delete
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
coachIdstringRequiredExample: 7bb59b59-9d5c-457b-872d-2bab9cca6335
Responses
200

Returns a PaymentsAccountDto

application/json
idstringRead-onlyRequired
userIdstringRead-onlyRequired
stripeAccountIdstringRead-onlyRequired
statusstring · enumRead-onlyRequiredPossible values:
accountLinkUrlstringRead-onlyRequired
loginLinkUrlstringRead-onlyRequired
_linksobjectRead-onlyRequired
delete/coaches/{coachId}/settings/payments-account
DELETE /apis/v2/coaches/{coachId}/settings/payments-account HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

Returns a PaymentsAccountDto

{
  "id": "text",
  "userId": "text",
  "stripeAccountId": "text",
  "status": "ENABLED",
  "accountLinkUrl": "text",
  "loginLinkUrl": "text",
  "user": {
    "id": "text"
  },
  "_links": {}
}
patch
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
coachIdstringRequiredExample: 7bb59b59-9d5c-457b-872d-2bab9cca6335
Body
idstringRead-onlyRequired
userIdstringRead-onlyRequired
stripeAccountIdstringRead-onlyRequired
statusstring · enumRead-onlyRequiredPossible values:
accountLinkUrlstringRead-onlyRequired
loginLinkUrlstringRead-onlyRequired
_linksobjectRead-onlyRequired
Responses
200

Returns a PaymentsAccountDto

application/json
idstringRead-onlyRequired
userIdstringRead-onlyRequired
stripeAccountIdstringRead-onlyRequired
statusstring · enumRead-onlyRequiredPossible values:
accountLinkUrlstringRead-onlyRequired
loginLinkUrlstringRead-onlyRequired
_linksobjectRead-onlyRequired
patch/coaches/{coachId}/settings/payments-account
PATCH /apis/v2/coaches/{coachId}/settings/payments-account HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 2

{}
200

Returns a PaymentsAccountDto

{
  "id": "text",
  "userId": "text",
  "stripeAccountId": "text",
  "status": "ENABLED",
  "accountLinkUrl": "text",
  "loginLinkUrl": "text",
  "user": {
    "id": "text"
  },
  "_links": {}
}
post
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
coachIdstringRequired

The ID of the coach

Body
amountnumberWrite-onlyRequired
descriptionstringWrite-onlyRequired
Responses
201

Returns an Order

application/json
idstringRead-onlyRequired
codestringRead-onlyRequired
createdDatestring · date-timeRead-onlyRequired
settlingDatestring · date-timeRead-onlyRequired
typestring · enumRequiredPossible values:
statusstring · enumOptionalPossible values:
sourcestring · enumRead-onlyRequiredPossible values:
paymentMethodstring · enumRequiredPossible values:
currencystringRead-onlyRequired

A three letter code in upper case as described in https://www.iso.org/iso-4217-currency-codes.html

subtotalnumberRead-onlyRequired
taxnumberRead-onlyRequired
feenumberRead-onlyRequired
feesnumberRead-onlyRequired
discountnumberRead-onlyRequired
virtualCreditsnumberOptional
taxExemptbooleanOptionalDefault: false
totalnumberRead-onlyRequired
capturedTotalnumberRead-onlyRequired
vendingMachineOrderIdstringOptional
paymentsobjectRead-onlyRequired
_linksobjectRequired
post/coaches/{coachId}/orders
POST /apis/v2/coaches/{coachId}/orders HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 55

{
  "amount": 1,
  "description": "text",
  "event": {
    "id": "text"
  }
}
{
  "id": "text",
  "code": "text",
  "createdDate": "2026-01-01T00:00:00.000Z",
  "settlingDate": "2026-01-01T00:00:00.000Z",
  "type": "PREVIEW",
  "status": "DRAFT",
  "source": "BOOKING",
  "paymentMethod": "CASH",
  "currency": "text",
  "subtotal": 1,
  "tax": 1,
  "taxes": {
    "name": "text",
    "amount": 1,
    "percentage": 1
  },
  "fee": 1,
  "fees": 1,
  "discount": 1,
  "virtualCredits": 1,
  "taxExempt": false,
  "total": 1,
  "capturedTotal": 1,
  "vendingMachineOrderId": "text",
  "items": [
    {
      "id": "text",
      "type": "BOOKING",
      "name": "text",
      "description": "text",
      "quantity": 1,
      "price": 1,
      "subtotal": 1,
      "tax": 1,
      "fee": 1,
      "discount": 1,
      "virtualCredits": 1,
      "total": 1,
      "productOffering": {
        "id": "text"
      },
      "posProductOffering": {
        "id": "text"
      },
      "product": {
        "id": "text"
      },
      "event": {
        "id": "text"
      },
      "replay": {
        "id": "text"
      }
    }
  ],
  "creator": {
    "id": "text"
  },
  "user": {
    "id": "text"
  },
  "areas": {
    "items": [
      "text"
    ],
    "_total": 1,
    "_links": {
      "self": {
        "href": "text"
      }
    }
  },
  "pod": {
    "id": "text"
  },
  "event": {
    "id": "text"
  },
  "payments": {},
  "transfers": {
    "items": [
      {
        "id": "text",
        "amount": 1,
        "reversedAmount": 1,
        "reversedDate": "2026-01-01T00:00:00.000Z",
        "currency": "text",
        "status": "PENDING",
        "transferDate": "2026-01-01T00:00:00.000Z",
        "stripe": {
          "id": "text"
        },
        "payment": {
          "id": "text"
        },
        "user": {
          "id": "text"
        },
        "reversedByUser": {
          "id": "text"
        },
        "_links": {}
      }
    ],
    "_total": 1,
    "_links": {
      "self": {
        "href": "text"
      }
    }
  },
  "cancellations": {
    "items": [
      {
        "id": "text",
        "event": {
          "id": "text"
        },
        "summary": {
          "policy": "FREE_OF_CHARGE",
          "policySubtype": {},
          "policyDescription": {},
          "extensionId": {},
          "cancellingUser": {
            "id": "text",
            "user": {
              "id": "text"
            },
            "type": "REGULAR",
            "firstName": "text",
            "lastName": "text",
            "gender": "text",
            "birthday": "2026-01-01T00:00:00.000Z",
            "initials": "text",
            "description": "text",
            "picture": {},
            "usattRating": 1,
            "duprProfileUrl": "text",
            "memberSince": "2026-01-01T00:00:00.000Z",
            "membershipEnrollment": {},
            "kids": {},
            "_links": {}
          },
          "cancellationTime": "2026-01-01T00:00:00.000Z",
          "validUntilTime": "2026-01-01T00:00:00.000Z",
          "cancellationFee": 1,
          "refund": {
            "reimbursement": 1,
            "virtualCredits": 1,
            "passes": {
              "items": [
                {
                  "id": {},
                  "available": 1,
                  "quantity": 1,
                  "displayName": "text",
                  "displayNamePlural": "text",
                  "rate": 1
                }
              ],
              "_total": 1,
              "_links": {}
            }
          },
          "errors": [
            {
              "code": "text",
              "message": "text",
              "details": {}
            }
          ]
        },
        "_links": {
          "self": {
            "href": "text"
          }
        }
      }
    ],
    "_total": 1,
    "_links": {
      "self": {
        "href": "text"
      }
    }
  },
  "products": {
    "items": [
      {
        "id": "text",
        "sku": "text",
        "name": "text",
        "description": "text",
        "type": "LIFESTYLE",
        "picture": {
          "small": {
            "href": "text"
          },
          "medium": {
            "href": "text"
          },
          "large": {
            "href": "text"
          }
        },
        "price": 1,
        "areas": {
          "items": [
            "text"
          ],
          "_total": 1,
          "_links": {
            "self": {
              "href": "text"
            }
          }
        },
        "_links": {}
      }
    ],
    "_total": 1,
    "_links": {
      "self": {
        "href": "text"
      }
    }
  },
  "events": {
    "items": [
      {
        "id": "text",
        "type": "REGULAR",
        "subtype": "OPERATIONS",
        "customType": "text",
        "name": "text",
        "description": "text",
        "startTime": "2026-01-01T00:00:00.000Z",
        "endTime": "2026-01-01T00:00:00.000Z",
        "pods": {
          "items": [
            {
              "id": "text",
              "slug": "text",
              "displayName": "text",
              "displayNameShort": "text",
              "description": "text",
              "address": {
                "street": "text",
                "floor": "text",
                "city": "text",
                "zip": "text",
                "displayName": "text"
              },
              "timezone": "text",
              "type": "PRIVATE",
              "status": "NOT_AVAILABLE",
              "sport": "PICKLEBALL",
              "area": {},
              "tables": {
                "items": [
                  {
                    "id": "text",
                    "slug": "text",
                    "displayName": "text",
                    "displayNameShort": "text",
                    "description": "text",
                    "type": "STANDARD",
                    "status": "AVAILABLE",
                    "features": [
                      "REPLAYS"
                    ],
                    "pod": {},
                    "settings": {
                      "items": [
                        {
                          "id": "text",
                          "value": {}
                        }
                      ],
                      "_total": 1,
                      "_links": {
                        "self": {
                          "href": "text"
                        }
                      }
                    },
                    "errors": [
                      {
                        "code": "text",
                        "message": "text",
                        "details": {}
                      }
                    ],
                    "_links": {}
                  }
                ],
                "_total": 1,
                "_links": {
                  "self": {
                    "href": "text"
                  }
                }
              },
              "openTime": {
                "hours": 1,
                "minutes": 1
              },
              "closeTime": {
                "hours": 1,
                "minutes": 1
              },
              "closedTimeOverrides": {
                "items": [
                  {
                    "id": "text",
                    "days": [
                      1
                    ],
                    "from": {
                      "hours": 1,
                      "minutes": 1
                    },
                    "to": {
                      "hours": 1,
                      "minutes": 1
                    }
                  }
                ],
                "_total": 1,
                "_links": {
                  "self": {
                    "href": "text"
                  }
                }
              },
              "guests": {
                "private": {
                  "min": "text",
                  "max": "text"
                }
              },
              "rates": {},
              "settings": {
                "items": [
                  {
                    "id": "text",
                    "value": {}
                  }
                ],
                "_total": 1,
                "_links": {
                  "self": {
                    "href": "text"
                  }
                }
              },
              "errors": [
                {
                  "code": "text",
                  "message": "text",
                  "details": {}
                }
              ],
              "_links": {}
            }
          ],
          "_total": 1,
          "_links": {
            "self": {
              "href": "text"
            }
          }
        },
        "tables": {
          "items": [
            {
              "id": "text",
              "type": "FIXED_TABLE",
              "table": {
                "id": "text"
              },
              "startTime": "2026-01-01T00:00:00.000Z",
              "endTime": "2026-01-01T00:00:00.000Z",
              "features": [
                "REPLAYS"
              ],
              "status": "INVALID",
              "errors": [
                {
                  "code": "text",
                  "message": "text",
                  "details": {}
                }
              ],
              "_links": {
                "self": {
                  "href": "text"
                }
              }
            }
          ],
          "_total": 1,
          "_links": {
            "self": {
              "href": "text"
            }
          }
        },
        "access": {
          "id": "text",
          "type": "OPEN",
          "startTime": "2026-01-01T00:00:00.000Z",
          "endTime": "2026-01-01T00:00:00.000Z"
        },
        "guests": {
          "displayName": "text",
          "displayNameShort": "text",
          "max": 1
        },
        "reservations": {
          "items": [
            {
              "id": "text",
              "startTime": "2026-01-01T00:00:00.000Z",
              "endTime": "2026-01-01T00:00:00.000Z",
              "tableAssignment": "PENDING",
              "sessions": {
                "items": [
                  {
                    "id": "text",
                    "session": {
                      "id": "text"
                    },
                    "coupon": {
                      "id": "text"
                    },
                    "charge": {
                      "id": "text"
                    },
                    "_links": {}
                  }
                ],
                "_total": 1,
                "_links": {
                  "self": {
                    "href": "text"
                  }
                }
              },
              "pod": {
                "id": "text"
              },
              "table": {
                "id": "text"
              },
              "coach": {
                "id": "text"
              },
              "guests": 1,
              "charges": {
                "_total": 1
              },
              "quickReplays": {
                "_total": 1
              },
              "customReplays": {
                "_total": 1
              },
              "_links": {}
            }
          ],
          "_total": 1,
          "_links": {
            "self": {
              "href": "text"
            }
          }
        },
        "bookingMode": "USER_BOOKED",
        "paymentMethod": "CASH",
        "bookedBy": {
          "id": "text"
        },
        "totalTeams": 1,
        "teamSize": 1,
        "admission": "OPEN",
        "admissionRating": {
          "minRating": 1,
          "maxRating": 1,
          "type": "SINGLES"
        },
        "admissionRate": {
          "regular": 1,
          "member": 1,
          "membersDefault": 1,
          "dayPass": {
            "id": "text",
            "displayName": "text",
            "rate": 1
          },
          "memberships": {
            "items": [
              {
                "membership": {
                  "id": "text"
                },
                "rate": 1
              }
            ],
            "_total": 1,
            "_links": {
              "self": {
                "href": "text"
              }
            }
          },
          "chargingStrategy": "spot+",
          "_links": {}
        },
        "admissionDate": {
          "regular": "2026-01-01T00:00:00.000Z",
          "member": "2026-01-01T00:00:00.000Z",
          "membersDefault": "2026-01-01T00:00:00.000Z",
          "memberships": {
            "items": [
              {
                "membership": {
                  "id": "text"
                },
                "date": "2026-01-01T00:00:00.000Z"
              }
            ],
            "_total": 1,
            "_links": {
              "self": {
                "href": "text"
              }
            }
          },
          "_links": {}
        },
        "admissionKids": "OPEN",
        "allowedMemberships": {},
        "coachRate": 1,
        "freeSignupCancellationHorizonHours": 1,
        "tags": [
          "text"
        ],
        "picture": {
          "id": "text"
        },
        "visibility": "LISTED",
        "invitations": {},
        "payments": {},
        "replays": {},
        "cancellation": {},
        "notes": {},
        "openInvitations": {},
        "signups": {},
        "waitlist": {},
        "features": [
          "WAITLIST"
        ],
        "stats": {},
        "series": {
          "id": "text"
        },
        "suspension": {
          "id": "text"
        },
        "status": "INVALID",
        "errors": [
          {
            "code": "text",
            "message": "text",
            "details": {}
          }
        ],
        "tournamentDivision": {
          "id": "7229d7d5-5581-4d86-975f-5b7efc9b00e9",
          "tournament": "7229d7d5-5581-4d86-975f-5b7efc9b00e9",
          "provider": "SWISH",
          "swish": {
            "eventFormat": "rotating_partners_round_robin",
            "gameId": "game123",
            "editPlayersPath": "rotating-partners-round-robin"
          },
          "podplay": {
            "eventFormat": "round_robin",
            "gameId": "game123",
            "url": "https://tournaments.podplay.app/admin/tournaments/game123"
          },
          "status": "DRAFT",
          "createdAt": "2025-07-09T17:32:26.800Z",
          "event": "7229d7d5-5581-4d86-975f-5b7efc9b00e9",
          "lastSyncedAt": "2025-07-09T17:32:26.800Z",
          "visibility": "VISIBLE",
          "_links": {}
        },
        "visibilitySchedules": {
          "items": [
            {
              "id": "text",
              "event": {
                "id": "text"
              },
              "listDaysBefore": 1,
              "membersOnly": true,
              "executed": true,
              "status": "INVALID",
              "errors": [
                {
                  "code": "text",
                  "message": "text",
                  "details": {}
                }
              ],
              "_links": {}
            }
          ],
          "_total": 1,
          "_links": {
            "self": {
              "href": "text"
            }
          }
        },
        "recurrence": {
          "id": "text"
        },
        "teams": {
          "items": [
            {
              "id": "text",
              "_links": {
                "self": {
                  "href": "text"
                }
              },
              "teamLeader": {
                "id": "text",
                "user": {
                  "id": "text"
                },
                "type": "REGULAR",
                "firstName": "text",
                "lastName": "text",
                "gender": "text",
                "birthday": "2026-01-01T00:00:00.000Z",
                "initials": "text",
                "description": "text",
                "picture": {},
                "usattRating": 1,
                "duprProfileUrl": "text",
                "memberSince": "2026-01-01T00:00:00.000Z",
                "membershipEnrollment": {},
                "kids": {},
                "_links": {}
              },
              "teamMembers": {
                "items": [
                  {
                    "id": "text",
                    "user": {
                      "id": "text"
                    },
                    "type": "REGULAR",
                    "firstName": "text",
                    "lastName": "text",
                    "gender": "text",
                    "birthday": "2026-01-01T00:00:00.000Z",
                    "initials": "text",
                    "description": "text",
                    "picture": {},
                    "usattRating": 1,
                    "duprProfileUrl": "text",
                    "memberSince": "2026-01-01T00:00:00.000Z",
                    "membershipEnrollment": {},
                    "kids": {},
                    "_links": {}
                  }
                ],
                "_total": 1,
                "_links": {
                  "self": {
                    "href": "text"
                  }
                }
              },
              "teamMemberCount": 1
            }
          ],
          "_total": 1,
          "_links": {
            "self": {
              "href": "text"
            }
          }
        },
        "_links": {}
      }
    ],
    "_links": {
      "self": {
        "href": "text"
      }
    }
  },
  "replays": {
    "items": [
      {
        "id": "text",
        "type": "REGULAR",
        "subtype": "OPERATIONS",
        "customType": "text",
        "name": "text",
        "description": "text",
        "startTime": "2026-01-01T00:00:00.000Z",
        "endTime": "2026-01-01T00:00:00.000Z",
        "pods": {
          "items": [
            {
              "id": "text",
              "slug": "text",
              "displayName": "text",
              "displayNameShort": "text",
              "description": "text",
              "address": {
                "street": "text",
                "floor": "text",
                "city": "text",
                "zip": "text",
                "displayName": "text"
              },
              "timezone": "text",
              "type": "PRIVATE",
              "status": "NOT_AVAILABLE",
              "sport": "PICKLEBALL",
              "area": {},
              "tables": {
                "items": [
                  {
                    "id": "text",
                    "slug": "text",
                    "displayName": "text",
                    "displayNameShort": "text",
                    "description": "text",
                    "type": "STANDARD",
                    "status": "AVAILABLE",
                    "features": [
                      "REPLAYS"
                    ],
                    "pod": {},
                    "settings": {
                      "items": [
                        {
                          "id": "text",
                          "value": {}
                        }
                      ],
                      "_total": 1,
                      "_links": {
                        "self": {
                          "href": "text"
                        }
                      }
                    },
                    "errors": [
                      {
                        "code": "text",
                        "message": "text",
                        "details": {}
                      }
                    ],
                    "_links": {}
                  }
                ],
                "_total": 1,
                "_links": {
                  "self": {
                    "href": "text"
                  }
                }
              },
              "openTime": {
                "hours": 1,
                "minutes": 1
              },
              "closeTime": {
                "hours": 1,
                "minutes": 1
              },
              "closedTimeOverrides": {
                "items": [
                  {
                    "id": "text",
                    "days": [
                      1
                    ],
                    "from": {
                      "hours": 1,
                      "minutes": 1
                    },
                    "to": {
                      "hours": 1,
                      "minutes": 1
                    }
                  }
                ],
                "_total": 1,
                "_links": {
                  "self": {
                    "href": "text"
                  }
                }
              },
              "guests": {
                "private": {
                  "min": "text",
                  "max": "text"
                }
              },
              "rates": {},
              "settings": {
                "items": [
                  {
                    "id": "text",
                    "value": {}
                  }
                ],
                "_total": 1,
                "_links": {
                  "self": {
                    "href": "text"
                  }
                }
              },
              "errors": [
                {
                  "code": "text",
                  "message": "text",
                  "details": {}
                }
              ],
              "_links": {}
            }
          ],
          "_total": 1,
          "_links": {
            "self": {
              "href": "text"
            }
          }
        },
        "tables": {
          "items": [
            {
              "id": "text",
              "type": "FIXED_TABLE",
              "table": {
                "id": "text"
              },
              "startTime": "2026-01-01T00:00:00.000Z",
              "endTime": "2026-01-01T00:00:00.000Z",
              "features": [
                "REPLAYS"
              ],
              "status": "INVALID",
              "errors": [
                {
                  "code": "text",
                  "message": "text",
                  "details": {}
                }
              ],
              "_links": {
                "self": {
                  "href": "text"
                }
              }
            }
          ],
          "_total": 1,
          "_links": {
            "self": {
              "href": "text"
            }
          }
        },
        "access": {
          "id": "text",
          "type": "OPEN",
          "startTime": "2026-01-01T00:00:00.000Z",
          "endTime": "2026-01-01T00:00:00.000Z"
        },
        "guests": {
          "displayName": "text",
          "displayNameShort": "text",
          "max": 1
        },
        "reservations": {
          "items": [
            {
              "id": "text",
              "startTime": "2026-01-01T00:00:00.000Z",
              "endTime": "2026-01-01T00:00:00.000Z",
              "tableAssignment": "PENDING",
              "sessions": {
                "items": [
                  {
                    "id": "text",
                    "session": {
                      "id": "text"
                    },
                    "coupon": {
                      "id": "text"
                    },
                    "charge": {
                      "id": "text"
                    },
                    "_links": {}
                  }
                ],
                "_total": 1,
                "_links": {
                  "self": {
                    "href": "text"
                  }
                }
              },
              "pod": {
                "id": "text"
              },
              "table": {
                "id": "text"
              },
              "coach": {
                "id": "text"
              },
              "guests": 1,
              "charges": {
                "_total": 1
              },
              "quickReplays": {
                "_total": 1
              },
              "customReplays": {
                "_total": 1
              },
              "_links": {}
            }
          ],
          "_total": 1,
          "_links": {
            "self": {
              "href": "text"
            }
          }
        },
        "bookingMode": "USER_BOOKED",
        "paymentMethod": "CASH",
        "bookedBy": {
          "id": "text"
        },
        "totalTeams": 1,
        "teamSize": 1,
        "admission": "OPEN",
        "admissionRating": {
          "minRating": 1,
          "maxRating": 1,
          "type": "SINGLES"
        },
        "admissionRate": {
          "regular": 1,
          "member": 1,
          "membersDefault": 1,
          "dayPass": {
            "id": "text",
            "displayName": "text",
            "rate": 1
          },
          "memberships": {
            "items": [
              {
                "membership": {
                  "id": "text"
                },
                "rate": 1
              }
            ],
            "_total": 1,
            "_links": {
              "self": {
                "href": "text"
              }
            }
          },
          "chargingStrategy": "spot+",
          "_links": {}
        },
        "admissionDate": {
          "regular": "2026-01-01T00:00:00.000Z",
          "member": "2026-01-01T00:00:00.000Z",
          "membersDefault": "2026-01-01T00:00:00.000Z",
          "memberships": {
            "items": [
              {
                "membership": {
                  "id": "text"
                },
                "date": "2026-01-01T00:00:00.000Z"
              }
            ],
            "_total": 1,
            "_links": {
              "self": {
                "href": "text"
              }
            }
          },
          "_links": {}
        },
        "admissionKids": "OPEN",
        "allowedMemberships": {},
        "coachRate": 1,
        "freeSignupCancellationHorizonHours": 1,
        "tags": [
          "text"
        ],
        "picture": {
          "id": "text"
        },
        "visibility": "LISTED",
        "invitations": {},
        "payments": {},
        "replays": {},
        "cancellation": {},
        "notes": {},
        "openInvitations": {},
        "signups": {},
        "waitlist": {},
        "features": [
          "WAITLIST"
        ],
        "stats": {},
        "series": {
          "id": "text"
        },
        "suspension": {
          "id": "text"
        },
        "status": "INVALID",
        "errors": [
          {
            "code": "text",
            "message": "text",
            "details": {}
          }
        ],
        "tournamentDivision": {
          "id": "7229d7d5-5581-4d86-975f-5b7efc9b00e9",
          "tournament": "7229d7d5-5581-4d86-975f-5b7efc9b00e9",
          "provider": "SWISH",
          "swish": {
            "eventFormat": "rotating_partners_round_robin",
            "gameId": "game123",
            "editPlayersPath": "rotating-partners-round-robin"
          },
          "podplay": {
            "eventFormat": "round_robin",
            "gameId": "game123",
            "url": "https://tournaments.podplay.app/admin/tournaments/game123"
          },
          "status": "DRAFT",
          "createdAt": "2025-07-09T17:32:26.800Z",
          "event": "7229d7d5-5581-4d86-975f-5b7efc9b00e9",
          "lastSyncedAt": "2025-07-09T17:32:26.800Z",
          "visibility": "VISIBLE",
          "_links": {}
        },
        "visibilitySchedules": {
          "items": [
            {
              "id": "text",
              "event": {
                "id": "text"
              },
              "listDaysBefore": 1,
              "membersOnly": true,
              "executed": true,
              "status": "INVALID",
              "errors": [
                {
                  "code": "text",
                  "message": "text",
                  "details": {}
                }
              ],
              "_links": {}
            }
          ],
          "_total": 1,
          "_links": {
            "self": {
              "href": "text"
            }
          }
        },
        "recurrence": {
          "id": "text"
        },
        "teams": {
          "items": [
            {
              "id": "text",
              "_links": {
                "self": {
                  "href": "text"
                }
              },
              "teamLeader": {
                "id": "text",
                "user": {
                  "id": "text"
                },
                "type": "REGULAR",
                "firstName": "text",
                "lastName": "text",
                "gender": "text",
                "birthday": "2026-01-01T00:00:00.000Z",
                "initials": "text",
                "description": "text",
                "picture": {},
                "usattRating": 1,
                "duprProfileUrl": "text",
                "memberSince": "2026-01-01T00:00:00.000Z",
                "membershipEnrollment": {},
                "kids": {},
                "_links": {}
              },
              "teamMembers": {
                "items": [
                  {
                    "id": "text",
                    "user": {
                      "id": "text"
                    },
                    "type": "REGULAR",
                    "firstName": "text",
                    "lastName": "text",
                    "gender": "text",
                    "birthday": "2026-01-01T00:00:00.000Z",
                    "initials": "text",
                    "description": "text",
                    "picture": {},
                    "usattRating": 1,
                    "duprProfileUrl": "text",
                    "memberSince": "2026-01-01T00:00:00.000Z",
                    "membershipEnrollment": {},
                    "kids": {},
                    "_links": {}
                  }
                ],
                "_total": 1,
                "_links": {
                  "self": {
                    "href": "text"
                  }
                }
              },
              "teamMemberCount": 1
            }
          ],
          "_total": 1,
          "_links": {
            "self": {
              "href": "text"
            }
          }
        },
        "_links": {}
      }
    ],
    "_links": {
      "self": {
        "href": "text"
      }
    }
  },
  "coupon": {
    "id": "text"
  },
  "passes": {
    "_total": 1
  },
  "virtualCreditsTransactions": {
    "items": [
      {
        "id": "text",
        "order": {
          "id": "text"
        },
        "user": {
          "id": "text"
        },
        "createdAt": "2026-01-01T00:00:00.000Z",
        "amountType": "INCOME",
        "amount": 1,
        "balance": 1,
        "source": "BOOKING",
        "reason": "text",
        "updatedBy": {
          "id": "text"
        },
        "_links": {}
      }
    ],
    "_pagination": {
      "page": 1,
      "ipp": 1,
      "count": 1,
      "total": 1
    },
    "_links": {
      "self": {
        "href": "text"
      }
    }
  },
  "errors": [
    {
      "code": "text",
      "message": "text",
      "details": {}
    }
  ],
  "_links": {}
}

Last updated

Was this helpful?